Old smarthomeUI version in R3.0.0-rc17

Discussions about RaZberry - Z-Wave board for Raspberry computer
Post Reply
ibjr
Posts: 20
Joined: 05 May 2016 21:52

Old smarthomeUI version in R3.0.0-rc17

Post by ibjr » 27 Dec 2018 20:28

I had several problems with RC3.0.0-rc17, like not being able to restore from an older backup file (restore button was always greyed-out).
I discovered that z-way-server-RaspberryPiXTools-v3.0.0-rc17 comes with an old version of the Smarthome UI: 1.8.0-RC-56, while RaspberryPiXTools V2.3.8 comes with Smarthome UI version 1.9.0.
So, on a test system I installed V238, moved /opt/z-way-server to /opt/z-way-server_V238 and then installed R3.0.0-rc17
Then I copied all the V2.3.8 files in /opt/z-way-server_V238/htdocs/smarthome/app/js/ (4 files) to the /opt/z-way-server/.... (so the V3 version).
That resolved the greyed-out restore button and a few other UI problems.

User avatar
PoltoS
Posts: 5066
Joined: 26 Jan 2011 19:36

Re: Old smarthomeUI version in R3.0.0-rc17

Post by PoltoS » 30 Dec 2018 00:04

You are right, this rc17 has older UI. We will update it in next RC

ibjr
Posts: 20
Joined: 05 May 2016 21:52

Re: Old smarthomeUI version in R3.0.0-rc17

Post by ibjr » 30 Dec 2018 17:42

Thanks.

Post Reply